#!/usr/bin/python

import os

all_files = list()

imgs = os.listdir('../geomoose')
#imgs = map(lambda x: jsRoot+path+x, imgs)
all_files = all_files + imgs

template = """document.write("<script type='text/javascript' src='geomoose/%s'></script>");"""


print "Content-type: text/plain\n"
allCode = ''
for f in all_files:
	# this test should be better... but I'm lazy.
	if(f[0] != '.' and f.find('.js') > 0 and f.find('.svn') < 0):
#		allCode += open(f, 'r').read()
		print template % f
		

